API Reference

Batch Capacity

3 endpoints· Auth: JWT or API Key
post/api/v1/console/production/batches/{id}/outputs JWT API Key

Create outputs

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "inventoryItemId": "00000000-0000-0000-0000-000000000000",
  "outputQty": 0,
  "shareIqd": 0,
  "allocationWeight": 0,
  "expiresAt": "2026-09-30T18:07:54.636Z"
}
inventoryItemId
string (uuid)
—
outputQty
number (double)
—
shareIqd
integer (int64)
—
allocationWeight
integer (int32)
—
expiresAt
string (date-time)
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/outputs" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "inventoryItemId": "00000000-0000-0000-0000-000000000000",
  "outputQty": 0,
  "shareIqd": 0,
  "allocationWeight": 0,
  "expiresAt": "2026-09-30T18:07:54.636Z"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
delete/api/v1/console/production/batches/{id}/outputs/{outputId} JWT API Key

Delete outputId

Path parameters

idrequired
string (uuid)
—
outputIdrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/outputs/{outputId}" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Set credentials in the “Authorize” menu
post/api/v1/console/production/batches/{id}/waste JWT API Key

Create waste

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "capacityTypeId": "00000000-0000-0000-0000-000000000000",
  "units": 0,
  "kind": "string",
  "reason": "string"
}
capacityTypeId
string (uuid)
—
units
integer (int32)
—
kind
string
—
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/production/batches/{id}/waste" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "capacityTypeId": "00000000-0000-0000-0000-000000000000",
  "units": 0,
  "kind": "string",
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu